This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 184049 - wrong root= param in grub.conf causes confusing error message
wrong root= param in grub.conf causes confusing error message
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 10:10 EST by Levin Fritz
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-05 13:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Levin Fritz 2006-03-05 10:10:30 EST
Description of problem:
Having an incorrect root= parameter in /etc/grub.conf leads to confusing error
messages on boot.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2009.4.2_FC5

How reproducible:
Always.

Steps to Reproduce:
1. Edit /etc/grub.conf
2. In the kernel line, change the root parameter to something incorrect (like
root=LABEL=nonsense)
3. Reboot
  
Actual results:
The kernel panics. The last output lines are:
mount: could not find filesystem '/dev/root'
setuproot: moving /dev failed: No such file or directory
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
switchroot: mount failed: no such file or directory
Kernel panic - not syncing: Attempted to kill init!
  [<c011a3b6>] panic+0x3e/0x170   [<c011cf66>] do_exit+0x71/0x6cf
  [<c011d648>] sys_exit_group+0x0/0xd   [<c0102bc1>] syscall_call+0x7/0xb

Expected results:
The kernel prints a useful error message like
  Error: Cannot find filesystem with label 'nonsense'.
and then panics.
Comment 1 Dave Jones 2006-03-05 13:39:42 EST
The kernel is doing exactly what you told it to do.

Note You need to log in before you can comment on or make changes to this bug.